using System;
using Newtonsoft.Json;

namespace Replikanto
{
	public class GClass0 : JsonConverter
	{
		public override bool CanConvert(Type objectType)
		{
			return Delegate88.smethod_0(objectType, Delegate45.smethod_0(typeof(DateTime).TypeHandle, Delegate45.delegate45_0), Delegate88.delegate88_0);
		}

		public override object ReadJson(JsonReader reader, Type objectType, object existingValue, JsonSerializer serializer)
		{
			if (reader.Value != null)
			{
				return Delegate565.smethod_0(Delegate564.smethod_0(Delegate86.smethod_0(reader.Value, Delegate86.delegate86_0), Delegate564.delegate564_0), this.timeZoneInfo_0, Delegate565.delegate565_0);
			}
			return null;
		}

		public override void WriteJson(JsonWriter writer, object value, JsonSerializer serializer)
		{
			writer.WriteValue(Delegate566.smethod_0((DateTime)value, this.timeZoneInfo_0, Delegate566.delegate566_0));
		}

		internal static object smethod_0(object object_0)
		{
			return object_0.Value;
		}

		internal static void smethod_1(object object_0, DateTime dateTime_0)
		{
			object_0.WriteValue(dateTime_0);
		}

		internal static void smethod_2()
		{
		}

		internal static void smethod_3()
		{
		}

		internal static void smethod_4()
		{
		}

		private TimeZoneInfo timeZoneInfo_0 = Delegate567.smethod_0(Delegate567.delegate567_0);
	}
}
